package com.xy.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;

/**
 * <p>
 *  小程序设备记录相关DTO
 * </p>
 *
 * @author hechunping
 * @since 2023/3/3
 */
@Data
@Accessors(chain = true)
public class MiniDeviceRecordsDto {

    @Data
    @Accessors(chain = true)
    public static class DeviceIdDto{
        @ApiModelProperty("设备ID")
        @NotNull(message = "设备ID不能为空")
        private Long deviceId;
    }

    @Data
    @Accessors(chain = true)
    public static class DeviceErrorPageDto{
        @ApiModelProperty("设备ID")
        private Long deviceId;

        @ApiModelProperty("故障编码")
        private String code;
    }
}