package com.xy.consumer.disconnect;

import com.xy.consumer.MqttConsumer;
import com.xy.consumer.connected.ConnectedConsumer;
import com.xy.device.EnumDeviceOnlineStatus;
import com.xy.utils.SysDictUtils;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 设备下线监听消费者
 * </p>
 *
 * @author lijin
 * @since 2022-12-27
 */
@Slf4j
@Service
@AllArgsConstructor
public class DisconnectedConsumer implements MqttConsumer {

    private ConnectedConsumer connectedConsumer;

    @Override
    public boolean message(String topic, String payload) {
        log.info("设备离线通知：{}", payload);
        Integer value = SysDictUtils.getValue(EnumDeviceOnlineStatus.Code.CODE.getCode(), EnumDeviceOnlineStatus.DISCONNECT.getCode(), Integer.class);
        return connectedConsumer.exc(payload, value);
    }
}
