package com.xy.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 设备统计数据
 * </p>
 *
 * @author lijin
 * @since 2023-01-11
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "DeviceData对象", description = "设备统计数据")
public class DeviceData implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "商户ID")
    private Long mercId;

    @ApiModelProperty(value = "设备ID")
    private Long deviceId;

    @ApiModelProperty(value = "统计类型;year|month|day")
    private String type;

    @ApiModelProperty(value = "统计日期;2022|202206|20220603")
    private Integer dateValue;

    @ApiModelProperty(value = "营业额;单位分")
    private Integer salesMoney;

    @ApiModelProperty(value = "销售笔数")
    private Integer salesCount;

    @ApiModelProperty(value = "销售商品数")
    private Integer goodsCount;

    @ApiModelProperty(value = "退款金额;单位分")
    private Integer refundMoney;

    @ApiModelProperty(value = "退款笔数")
    private Integer refundCount;

    @ApiModelProperty(value = "风险订单数")
    private Integer riskCount;

    @ApiModelProperty(value = "0元订单笔数")
    private Integer zeroCount;

    @ApiModelProperty(value = "设备故障数")
    private Integer deviceFaultCount;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "更新时间")
    private LocalDateTime updateTime;


}
