package com.xy.entity;

import com.xy.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 设备-日志
 * </p>
 *
 * @author lijin
 * @since 2023-03-16
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="DeviceLog对象", description="设备-日志")
public class DeviceLog extends BaseEntity<DeviceLog> implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "设备id")
    private Long deviceId;

    @ApiModelProperty(value = "日志名称")
    private String logName;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "更新时间")
    private LocalDateTime updateTime;

    @ApiModelProperty(value = "日志截取开始时间")
    private LocalDateTime logBeginTime;

    @ApiModelProperty(value = "日志截取结束时间")
    private LocalDateTime logEndTime;

    @ApiModelProperty(value = "日志类型")
    private String type;
}
