package com.xy.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 机器-联网记录
 * </p>
 *
 * @author lijin
 * @since 2023-01-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="DeviceNetRecord对象", description="机器-联网记录")
public class DeviceNetRecord implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "机器编号")
    private Long deviceId;

    @ApiModelProperty(value = "商户ID")
    private Long mercId;

    @ApiModelProperty(value = "状态")
    private Integer netStatus;

    @ApiModelProperty(value = "联网方式;WIFI,网线，2G，4G..")
    private Integer netType;

    @ApiModelProperty(value = "ICCID卡号")
    private String simIccid;

    @ApiModelProperty(value = "信号值")
    private Integer simDbm;

    @ApiModelProperty(value = "信号类型")
    private String simSignalType;

    @ApiModelProperty(value = "上位版本号")
    private String appUpmVersion;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createTime;


}
