package com.xy.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 设备-质检
 * </p>
 *
 * @author lijin
 * @since 2023-01-05
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
public class DeviceQuality implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 质检id
     */
    @TableId(value = "quality_id", type = IdType.AUTO)
    private Integer qualityId;

    /**
     * 设备ID
     */
    private Long deviceId;

    /**
     * 设备类型
     */
    private Integer deviceType;

    /**
     * 质检状态审核人ID
     */
    private Long qualityAuditUserId;

    /**
     * 出厂审核人ID
     */
    private Long factoryAuditUserId;

    /**
     * 出厂状态
     */
    private Integer factoryState;

    /**
     * 合格状态
     */
    private Integer qualityState;

    /**
     * 交易测试状态
     */
    private Integer tradeState;

    /**
     * 交易测试状态开始时间
     */
    private LocalDateTime tradeStateBeginTime;

    /**
     * 交易测试状态结束时间
     */
    private LocalDateTime tradeStateEndTime;

    /**
     * 门锁状态
     */
    private Integer lockerState;

    /**
     * 门锁状态开始时间
     */
    private LocalDateTime lockerStateBeginTime;

    /**
     * 门锁状态结束时间
     */
    private LocalDateTime lockerStateEndTime;

    /**
     * 温度检测状态
     */
    private Integer temperatureState;

    /**
     * 温度检测状态开始时间
     */
    private LocalDateTime temperatureStateBeginTime;

    /**
     * 温度检测状态结束时间
     */
    private LocalDateTime temperatureStateEndTime;

    /**
     * 模拟批量测试状态
     */
    private Integer imitateTestState;

    /**
     * 模拟批量测试状态开始时间
     */
    private LocalDateTime imitateTestStateBeginTime;

    /**
     * 模拟批量测试状态结束时间
     */
    private LocalDateTime imitateTestStateEndTime;

    /**
     * 软件硬系统状态
     */
    private Integer systemState;

    /**
     * 软件硬系统状态开始时间
     */
    private LocalDateTime systemStateBeginTime;

    /**
     * 软件硬系统状态结束时间
     */
    private LocalDateTime systemStateEndTime;

    /**
     * 参数设置状态
     */
    private Integer settingState;

    /**
     * 参数设置状态开始时间
     */
    private LocalDateTime settingStateBeginTime;

    /**
     * 参数设置状态结束时间
     */
    private LocalDateTime settingStateEndTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 显示状态
     */
    private Boolean showStatus;
}
