package com.xy.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;


/**
 * 设备温度设置表
 *
 * @author hechunping
 * @date 2023/03/20
 */
@Data
@Accessors(chain = true)
public class DeviceTempSet {
    @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 设备ID
     */
    @ApiModelProperty(value = "设备ID")
    private Long deviceId;

    /**
     * 工作模式
     */
    @ApiModelProperty(value = "工作模式")
    private String workMode;

    /**
     * 最低温度报警
     */
    @ApiModelProperty(value = "最低温度报警")
    private Integer warningLow;

    /**
     * 最高温度报警
     */
    @ApiModelProperty(value = "最高温度报警")
    private Integer warningHigh;

    /**
     * 目标温度
     */
    @ApiModelProperty(value = "目标温度")
    private Integer tempValue;

    /**
     * 工作时段1起始时间
     */
    @ApiModelProperty(value = "工作时段1起始时间")
    private Integer job1StartTime;

    /**
     * 工作时段1结束时间
     */
    @ApiModelProperty(value = "工作时段1结束时间")
    private Integer job1StartEnd;

    /**
     * 工作时段2起始时间
     */
    @ApiModelProperty(value = "工作时段2起始时间")
    private Integer job2StartTime;

    /**
     * 工作时段2结束时间
     */
    @ApiModelProperty(value = "工作时段2结束时间")
    private Integer job2StartEnd;

    /**
     * 工作时段3起始时间
     */
    @ApiModelProperty(value = "工作时段3起始时间")
    private Integer job3StartTime;

    /**
     * 工作时段3结束时间
     */
    @ApiModelProperty(value = "工作时段3结束时间")
    private Integer job3EndTime;

    /**
     * 设置状态
     */
    @ApiModelProperty(value = "设置状态")
    private String status;

    /**
     * 设置状态更新时间
     */
    @ApiModelProperty(value = "设置状态更新时间")
    private LocalDateTime setUpdateTime;

    /**
     * 创建人
     */
    @TableField(fill = FieldFill.INSERT)
    @ApiModelProperty(value = "创建人")
    private Long createUser;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createTime;
}

