package com.xy.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;


/**
 * 支付宝设备激活
 *
 * @author 谭斌
 * @date 2023/06/09
 */
@Data
@Accessors(chain = true)
public class AlipayDeviceActiveDto {

    @NotBlank(message = "sn不能为空")
    @ApiModelProperty(value = "sn编号，扫码获得", required = true)
    private String sn;

    @NotNull(message = "设备编号不能为空")
    @ApiModelProperty(value = "设备编号", required = true)
    private Long deviceId;
}
